This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 146443 - 3 * dead code detected
3 * dead code detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xloadimage (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 05:26 EST by David Binderman
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 17:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-28 05:26:34 EST
Description of problem:

I just tried to compile package xloadimage-4.1-33 from 
Redhat Fedora development tree.

The compiler said

img.c(617): remark #177: function "pli2vdi" was declared but never
referenced
img.c(131): remark #177: function "transf2" was declared but never
referenced
pdsuncomp.c(245): remark #177: function "free_tree" was declared but
never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-03-18 17:53:49 EST
As xloadimage is no longer shipped in Core, this won't be fixed.

Note You need to log in before you can comment on or make changes to this bug.